body {
  line-height: 1.4;
  font-size: 16px;
  margin: 0;
  padding: 1ex;
  display: flex;
  flex-direction: column;
}

.constrained-width {
  max-width: 900px;
}

header {
  border-bottom: 1px solid #444;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}

header h1 {
  margin: 0 10px;
  padding: 0;
}

nav#main-nav {
  display: block;
  margin: 5px auto;
}

nav#main-nav ul {
  margin: 0;
  list-style: none;
  padding-inline-start: 0;
}

nav#main-nav ul li {
  float: left;
}

nav#main-nav ul li a {
  padding: 5px 10px;
  color: #444;
  text-decoration: none;
  font-size: 15pt;
  line-height: 1;
}

nav#main-nav ul li a:hover {
  color: white;
  background-color: #7BAFD4;
}

a {
  text-decoration-style: dotted;
  text-decoration-skip-ink: none;
}

main {
  margin: 40px auto;
}

article {
  margin-bottom: 4em;
}

blockquote {
  margin-left: 0;
  padding-left: 2rem;
  border-left: 3px solid #aaa;
}

h1, h2, h3 {
  line-height: 1.2;
  color: #444;
}

table {
  border-collapse: collapse;
}

table thead th, table tbody td {
  text-align: left;
  padding: 0 1ex;
}

table tbody tr:nth-child(odd) {
  background-color: #ccc;
}

.assignments-table table tbody tr td:last-child {
  white-space: nowrap;
}

div.callout {
  padding: 1ex;
  border: 1px solid black;
  background-color: yellow;
  color: black;
}

div.callout :first-child {
  margin-top: 0;
}

div.callout :last-child {
  margin-bottom: 0;
}

div.post-preview {
  margin: 4rem 0;
}

div.post-preview h3.title {
  margin: 0;
}

div.post-preview span.date {
  margin-right: 1rem;
}

div.post-preview span.author {
  margin-right: 1rem;
}

div.post-preview div.tags {
  display: inline;
}

div.post-preview div.tags a {
  margin-left: 0.5rem;
}

div.post-preview div.tags a:first {
  margin-left: 0;
}

div.metadata span.date {
  display: block;
  margin: 0;
}

div.metadata span.author {
  display: block;
  margin: 0;
}

div.metadata div.tags a {
  margin-left: 0.5rem;
}

div.metadata div.tags a:first {
  margin-left: 0;
}

footer {
  clear: both;
  margin: 4rem auto 0;
  font-size: 10pt;
}

footer p {
  margin: 0;
}

.headshot {
  height: 500px;
  width: 500px;
}

@media only screen and (min-width: 768px) {
  header {
    flex-direction: row;
  }

  main {
    display: flex;
  }

  article {
    flex: 1;
    max-width: 650px;
    box-sizing: border-box;
  }

  #sidebar {
    max-width: 250px;
    box-sizing: border-box;
    margin-left: 2rem;
  }
}
